<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreFornecedorRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'CNPJ'          => 'required',
            'RAZAO_SOCIAL'  => 'required',
            'NOME_FANTASIA' => 'required',
            'ENDERECO'      => 'required',
            'BAIRRO'        => 'required',
            'NUMERO'        => 'required',
            'CEP'           => 'required|min:8|max:9',
            'CIDADE'        => 'required',
            'UF'            => 'min:2|max:2',
            'PROPRIETARIO'  => 'required',
            'CELULAR'       => 'required',
            'FONE_EMPRESA'  => 'required',
            'OBSERVACAO'    => 'nullable'
        ];

    }
}
