<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateRevendaRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'CNPJ'          => 'required|unique:revendas,CNPJ,' . $this->revenda . ',id',
            'RAZAO_SOCIAL'  => 'nullable',
            'NOME_FANTASIA' => 'nullable',
            'ENDERECO'      => 'nullable',
            'BAIRRO'        => 'nullable',
            'NUMERO'        => 'nullable',
            'CEP'           => 'nullable|min:8|max:9',
            'CIDADE'        => 'nullable',
            'UF'            => 'nullable|min:2|max:2',
            'PROPRIETARIO'  => 'nullable',
            'CELULAR'       => 'nullable',
            'FONE_LOJA'     => 'nullable',
            'TIPO'          => 'nullable',
            'OBSERVACAO'    => 'nullable'
        ];
    }
}
