<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pedido extends Model
{
    use HasFactory;

    public $timestamps = true;
    public $table = 'pedidos';

    protected $fillable = [
        'id',
        'user_id',
        'APELIDO',
        'VALOR_CONVERSAO',
        'OBSERVACAO_CONVERSAO',
        'LABEL_CONVERSAO',
        'created_at',
    ];


    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function lojas()
    {
        return $this->hasMany(PedidoLojas::class);
    }


    public function items()
    {
        return $this->hasMany(PedidoImplatacaoItem::class);
    }
}
