<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PedidoLojaProduto extends Model
{
    use HasFactory;

    public $timestamps = true;
    public $table = 'pedidos_lojas_produtos';

    protected $fillable = [
        'id',
        'PEDIDO_LOJA_ID',
        'PRODUTO_ID',
        'VALOR_TOTAL',
        'created_at',
        'updated_at'

    ];

    public function modulos()
    {
        return $this->hasMany(PedidoLojaProdutoModulo::class);
    }

    public function produto()
    {
        return $this->belongsTo(Produto::class, 'PRODUTO_ID', 'id');
    }
}
