<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('revendas', function (Blueprint $table) {
            $table->id();
            $table->string('CNPJ', 45)->unique();
            $table->string('RAZAO_SOCIAL');
            $table->string('NOME_FANTASIA');
            $table->string('ENDERECO');
            $table->string('BAIRRO',45);
            $table->string('NUMERO',20);
            $table->string('CEP',9);
            $table->string('CIDADE',100);
            $table->string('UF', 2);
            $table->string('PROPRIETARIO');
            $table->string('CELULAR',20);
            $table->string('FONE_LOJA',20);
            $table->string('TIPO',20);
            $table->text('OBSERVACAO')->nullable();
            $table->foreignId('user_id')->constrained('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('revendas');
    }
};
