<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('produtos', function (Blueprint $table) {
            $table->id();
            $table->string('NOME');
            $table->unsignedBigInteger('FORNECEDOR_ID');
            $table->enum('TIPO_VALOR', ['fixo', 'composto', 'pdv']);
            $table->enum('EXIBE_PEDIDO', ['S', 'N']);
            $table->decimal('VALOR_TABELA', 10, 2)->nullable();
            $table->decimal('VALOR_MINIMO', 10, 2)->nullable();
            $table->decimal('VALOR_IMPLANTACAO', 10, 2)->nullable();
            $table->text('OBSERVACAO')->nullable();
            $table->foreignId('user_id')->constrained('users');

            $table->foreign('FORNECEDOR_ID')->references('id')->on('fornecedores')->onDelete("cascade");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('produtos');
    }
};
