<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('opcoes_pagamento', function (Blueprint $table) {
            $table->id();
            $table->foreignId('PEDIDO_ID')->constrained('pedidos')->onDelete('cascade');
            $table->string('TIPO');
            $table->decimal('DESCONTO_PARCELA');
            $table->decimal('VALOR_TOTAL', 10, 2)->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('opcoes_pagamento');
    }
};
