<?php

use App\Http\Controllers\{
    ClienteController,
    RevendaController,
    FornecedorController,
    ModuloController,
    ProdutoController,
    AuthController,
    ConfigController,
    PedidoController
};

use Illuminate\Support\Facades\Route;

Route::get('/ping', function () {
    return ['pong' => true];
});

Route::get('/unauthenticated', function () {
    return response()->json([
        'message' => 'Usuário não está logado!',
    ], 401);
})->name('login');

Route::post('/user', [AuthController::class, 'create']);
Route::post('/auth/login', [AuthController::class, 'login']);


Route::group(['middleware' => 'auth'], function () {
    Route::apiResources([
        'cliente' => ClienteController::class,
        'fornecedor' => FornecedorController::class,
        'revenda' => RevendaController::class,
        'produto' => ProdutoController::class,
        'pedido' => PedidoController::class,
    ]);

    Route::get('/auth/me', [AuthController::class, 'me']);

    Route::post('/auth/logout', [AuthController::class, 'logout']);

    Route::post('/config/images', [ConfigController::class, 'pdfFotos']);
});
